/*    
    This file is part of kenvy24 KDE multimedia utility
    Copyright (c) 2007  Valentin RUSU kenvy24@rusu.info
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or (at
    your option) version 3 or, at the discretion of KDE e.V. (which shall
    act as a proxy as in section 14 of the GPLv3), any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.     
*/

#include "shellwindow.h"
#include "partnames.h"
#include "loadpart.h"

#include <QApplication>
#include <kmessagebox.h>
#include <klibloader.h>
#include <kactioncollection.h>
#include <kstandardaction.h>
#include <kdebug.h>


ShellWindow::ShellWindow() :
    KParts::MainWindow(),
    manager( this )
{
    setupActions();
    setupGUI( StatusBar );

    mainPart = loadPart( this, manager, KENVY24_MAIN_PART );
    setCentralWidget( mainPart->widget() );
    createGUI(mainPart);

    // this connect must stay here, AFTER the setCentralWidget call
    connect( &manager, SIGNAL( activePartChanged( KParts::Part* ) ), SLOT(createGUI(KParts::Part*)) );
}

ShellWindow::~ShellWindow()
{
}

void ShellWindow::setupActions()
{
    KStandardAction::quit(qApp, SLOT(closeAllWindows()), actionCollection());
}

void ShellWindow::load( const KUrl& )
{
}

#include "shellwindow.moc"
